MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Macros
MyGUI_Platform.h File Reference

Go to the source code of this file.

## Macros
#define | MYGUI_PLATFORM_WIN32 1
#define | MYGUI_PLATFORM_LINUX 2
#define | MYGUI_PLATFORM_APPLE 3
#define | MYGUI_COMPILER_MSVC 1
#define | MYGUI_COMPILER_GNUC 2
#define | MYGUI_PLATFORM MYGUI_PLATFORM_LINUX
#define | MYGUI_FORCEINLINE __inline
#define | MYGUI_EXPORT
#define | MYGUI_EXPORT_DLL
#define | MYGUI_DEBUG_MODE 0
#define | MYGUI_PLATFORM_LIB "libMYGUIPlatform.so"

## Macro Definition Documentation

#define MYGUI_COMPILER_GNUC 2

Definition at line 17 of file MyGUI_Platform.h.

#define MYGUI_COMPILER_MSVC 1

Definition at line 16 of file MyGUI_Platform.h.

#define MYGUI_DEBUG_MODE 0

Definition at line 114 of file MyGUI_Platform.h.

#define MYGUI_EXPORT

Definition at line 103 of file MyGUI_Platform.h.

#define MYGUI_EXPORT_DLL

Definition at line 104 of file MyGUI_Platform.h.

#define MYGUI_FORCEINLINE __inline

Definition at line 53 of file MyGUI_Platform.h.

#define MYGUI_PLATFORM MYGUI_PLATFORM_LINUX

Definition at line 26 of file MyGUI_Platform.h.

#define MYGUI_PLATFORM_APPLE 3

Definition at line 13 of file MyGUI_Platform.h.

#define MYGUI_PLATFORM_LIB "libMYGUIPlatform.so"

Definition at line 120 of file MyGUI_Platform.h.

#define MYGUI_PLATFORM_LINUX 2

Definition at line 12 of file MyGUI_Platform.h.

#define MYGUI_PLATFORM_WIN32 1

Definition at line 11 of file MyGUI_Platform.h.